net.minecraft.util

## Class RegistryNamespacedDefaultedByKey

- java.lang.Object
- - net.minecraft.util.RegistrySimple
  - - net.minecraft.util.RegistryNamespaced
    - - net.minecraft.util.RegistryNamespacedDefaultedByKey

- All Implemented Interfaces:
    java.lang.Iterable, IObjectIntIterable, IRegistry

      public class RegistryNamespacedDefaultedByKey
      extends RegistryNamespaced

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.util.RegistryNamespaced

      `field_148758_b, underlyingIntegerMap`

    - ### Fields inherited from class net.minecraft.util.RegistrySimple

      `registryObjects`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegistryNamespacedDefaultedByKey(java.lang.String p_i45127_1_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addObject(int p_148756_1_, java.lang.String p_148756_2_, java.lang.Object p_148756_3_)`
    `java.lang.Object` | `getObject(java.lang.Object par1Obj)`
    `java.lang.Object` | `getObject(java.lang.String p_148751_1_)`
    `java.lang.Object` | `getObjectById(int p_148754_1_)`

    - ### Methods inherited from class net.minecraft.util.RegistryNamespaced

      `containsId, containsKey, containsKey, createUnderlyingMap, ensureNamespaced, getIDForObject, getNameForObject, iterator`

    - ### Methods inherited from class net.minecraft.util.RegistrySimple

      `getKeys, putObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegistryNamespacedDefaultedByKey

          public RegistryNamespacedDefaultedByKey(java.lang.String p_i45127_1_)

  - ### Method Detail

    - #### addObject

          public void addObject(int p_148756_1_,
                       java.lang.String p_148756_2_,
                       java.lang.Object p_148756_3_)

      Overrides:
        `addObject` in class `RegistryNamespaced`

    - #### getObject

          public java.lang.Object getObject(java.lang.String p_148751_1_)

      Overrides:
        `getObject` in class `RegistryNamespaced`

    - #### getObjectById

          public java.lang.Object getObjectById(int p_148754_1_)

      Overrides:
        `getObjectById` in class `RegistryNamespaced`

    - #### getObject

          public java.lang.Object getObject(java.lang.Object par1Obj)

      Specified by:
        `getObject` in interface `IRegistry`
      Overrides:
        `getObject` in class `RegistryNamespaced`